cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: slf4j-jdk14 v1.3.1 in the http-jetty transport POM
Date Tue, 25 Sep 2007 21:24:14 GMT
On Tuesday 25 September 2007, Christopher Moesel wrote:
> It looks like the pom.xml for the http-jetty transport includes a
> dependency on slf4j-jdk14 v1.3.1.  This recently caused me issues as I
> am using slf4j v1.4.3 and it is apparently incompatible with v1.3.1.
>
> I'm not familiar with that part of the code (the http-jetty
> transport)...
>
> - My understanding was that CXF is not using SLF4J, so is this
> dependency needed?  Is it for Jetty (since Jetty uses SLF4J)?

Yea.  Jetty uses it.

> - If it is needed, could we bump the version up to 1.4.3?

I'd rather not.   Jetty specifically states that they want 1.3.1:
http://repo1.maven.org/maven2/org/mortbay/jetty/project/6.1.5/project-6.1.5.pom
    <slf4j-version>1.3.1</slf4j-version>

For the CXF distribution, I'd rather make sure we're using the same 
versions that they are testing and building with if at all possible.

For you, you could just add a dependency to the 1.4.3 version in your 
pom.  Recent mavens (2.0.6+) should then use that version instead.   
Alternatively, you can exclude it via normal maven exclusions.


-- 
J. Daniel Kulp
Principal Engineer
IONA
P: 781-902-8727    C: 508-380-7194
daniel.kulp@iona.com
http://www.dankulp.com/blog

Mime
View raw message